<script setup lang="ts">
import { useReceiptStore } from '@/Receipt/stores/receipt'
// import { useMemberStore } from '@/Pos/stores/member'
import { ref } from 'vue'
import type { Product, getImageUrl } from '@/Product/types/Product'

const receiptstore = useReceiptStore()
defineProps<{
  product: Product
}>()
</script>
<template>
  <v-card width="150" class="mx-auto" elevation="0">
    <v-img
      style="cursor: pointer"
      :src="getImageUrl(product)"
      width="150"
      height="150"
      cover
      @click="receiptstore.addReceiptItem(product)"
    ></v-img>
    <v-card-title>
      <p>{{ product.name }}</p>
    </v-card-title>

    <v-card-subtitle>
      <v-row>
        <v-col cols="6"> {{ product.price }} ฿ </v-col>
        <v-col cols="6" class="mt-4">
          <v-btn
            color="orange-lighten-2"
            variant="text"
            @click="receiptstore.addReceiptItem(product)"
          >
            +add
          </v-btn>
        </v-col>
      </v-row>
    </v-card-subtitle>
    <!-- <v-card-actions>
      

      <v-spacer></v-spacer>

      <v-btn :icon="show ? 'mdi-chevron-up' : 'mdi-chevron-down'" @click="show = !show"></v-btn>
    </v-card-actions>
    <v-expand-transition>
      <div v-show="show">
        <v-divider></v-divider>

        <v-card-text>
          <h4>detail</h4>

        </v-card-text>
      </div>
    </v-expand-transition> -->
  </v-card>
</template>
